cc.funkemunky.api.tinyprotocol.packet.types

## Enum EnumDirection

- java.lang.Object
- - java.lang.Enum<EnumDirection>
  - - cc.funkemunky.api.tinyprotocol.packet.types.EnumDirection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EnumDirection>

    public enum EnumDirection
    extends java.lang.Enum<EnumDirection>

### Nested Class Summary

Nested Classes
`static class` `EnumDirection.EnumAxis`
`static class` `EnumDirection.EnumAxisDirection`
`static class` `EnumDirection.EnumDirectionLimit`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DOWN`
`EAST`
`NORTH`
`SOUTH`
`UP`
`WEST`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EnumDirection` `a(EnumDirection.EnumAxisDirection var0, EnumDirection.EnumAxis var1)`
`static EnumDirection` `a(java.util.Random var0)`
`int` `b()`
`EnumDirection.EnumAxisDirection` `c()`
`static EnumDirection` `fromAngle(double var0)`
`static EnumDirection` `fromType1(int var0)`
`static EnumDirection` `fromType2(int var0)`
`int` `getAdjacentX()`
`int` `getAdjacentY()`
`int` `getAdjacentZ()`
`java.lang.String` `getName()`
`java.lang.String` `j()`
`EnumDirection.EnumAxis` `k()`
`EnumDirection` `opposite()`
`java.lang.String` `toString()`
`static EnumDirection` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EnumDirection[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DOWN

    public static final EnumDirection DOWN

#### UP

    public static final EnumDirection UP

#### NORTH

    public static final EnumDirection NORTH

#### SOUTH

    public static final EnumDirection SOUTH

#### WEST

    public static final EnumDirection WEST

#### EAST

    public static final EnumDirection EAST

### Method Detail

#### values

    public static EnumDirection[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EnumDirection c : EnumDirection.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EnumDirection valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### fromType1

    public static EnumDirection fromType1(int var0)

#### fromType2

    public static EnumDirection fromType2(int var0)

#### fromAngle

    public static EnumDirection fromAngle(double var0)

#### a

    public static EnumDirection a(java.util.Random var0)

#### a

    public static EnumDirection a(EnumDirection.EnumAxisDirection var0,
                                  EnumDirection.EnumAxis var1)

#### b

    public int b()

#### c

    public EnumDirection.EnumAxisDirection c()

#### opposite

    public EnumDirection opposite()

#### getAdjacentX

    public int getAdjacentX()

#### getAdjacentY

    public int getAdjacentY()

#### getAdjacentZ

    public int getAdjacentZ()

#### j

    public java.lang.String j()

#### k

    public EnumDirection.EnumAxis k()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<EnumDirection>`

#### getName

    public java.lang.String getName()